# edge_mirror.sh readme

## SAS Event Stream Processing for Edge Computing supported versions. 5.2, 6.1, 6.2

1. Download mirrormgr to a location on disk you plan to create the mirrored repositories for SAS Event Stream Processing for Edge Computing

2. Copy the sas-edge-extension-version.tgz to the same location as mirrormgr

3. Untar sas-edge-extension-version.tgz

4. Run chmod +x edge_mirror.sh

5. Copy the SAS_Viya_deployment_data.zip from the SOE to the same location as mirrormgr

6. Run edge_mirror.sh with list of repositories you wish to create.  The repository list is included in the SOE.  Must use at least 1.

ex. ./edge_mirror.sh sas-espedge-100.0.0-aarch64_ubuntu_linux_16-apt-latest sas-espedge-101.1.0-x64_ubuntu_linux_14-apt-latest sas-espedge-100.0.0-x64_suse_linux_12-yum-latest sas-espedge-101.1.0-x64_yocto_linux_1-yum-latest sas-espedge-104.0.0-x64_redhat_linux_6-yum-latest

The mirror repository packages will be in the ./espedge_repos directory broken down by repository name and grouped for basic, analytics, astore and gpu.  The upgradepkgs are only required to uprade from 4.3 to 5.2.
